
Katello - Bug #23928

Migrate sync plans to recurring logics

06/13/2018 08:45 PM - Justin Sherrill

Status: Closed   

Priority: Normal   

Assignee: Samir Jha   

Category: Sync Plans   

Target version: Katello 3.9.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/747
https://github.com/Katello/katello/pull/762
Description

Acceptance Criteria:

1) Some migration should occur to create the new recurring logics

2) CRUD of sync plans should CRUD recurring logics

3) no api changes/breakages

4) enable/disable should enable/disable the recurring logic

5) Schedules should be deleted from pulp

Related issues:

Has duplicate Katello - Feature #23408: Migrate sync plans to use dynflow-bas... Duplicate 04/26/2018

Blocks Katello - Tracker #23927: Convert sync plans to Foreman Tasks Closed

Associated revisions

Revision 977d1c6e - 08/16/2018 02:36 PM - sjha4 

Fixes #23928 - Migrate Pulp Sync Plans

History

#1 - 06/13/2018 08:45 PM - Justin Sherrill

- Description updated

- Assignee set to Samir Jha

#2 - 06/13/2018 08:45 PM - Justin Sherrill

- Blocks Tracker #23927: Convert sync plans to Foreman Tasks added

#3 - 06/20/2018 06:11 PM - Jonathon Turel

- translation missing: en.field_release set to 349

#4 - 06/21/2018 05:00 PM - Justin Sherrill

- Has duplicate Feature #23408: Migrate sync plans to use dynflow-based scheduling  added

#5 - 06/21/2018 05:32 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7469 added

#6 - 06/27/2018 07:56 PM - Samir Jha

- Pull request deleted (https://github.com/Katello/katello/pull/7469)

#7 - 06/27/2018 07:58 PM - The Foreman Bot

- Status changed from New to Ready For Testing

05/17/2024 1/2



- Pull request https://github.com/Katello/katello/pull/7479 added

#8 - 08/14/2018 08:49 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7625 added

#9 - 08/15/2018 04:38 PM - Samir Jha

- Target version changed from Katello 3.8.0 to Katello 3.9.0

#10 - 08/16/2018 03:01 PM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset katello|977d1c6e3109b43e123714856a9d3ad2a6a0cb96.
